<?php
/**
 * Social Care Charity: Block Patterns
 *
 * @since Social Care Charity 1.0
 */

function social_care_charity_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'social-care-charity' => array( 'label' => __( 'Social Care Charity', 'social-care-charity' ) )
	);
	$block_pattern_categories = apply_filters( 'social_care_charity_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'social_care_charity_register_block_patterns', 9 );